- name: "set base for CLARIN repo"
  set_fact:
    clarin_home: "/dspace/{{ clarin_dspace_name }}"

- name: "set base facts for CLARIN_repo"
  set_fact:
    script_dir: "{{ clarin_dspace_script_dir | default(clarin_home + '/source/utilities/project_helpers/scripts/')}}"
    src_dir: "{{ clarin_dspace_src_dir | default(clarin_home + '/source') }}"
    build_dir: "{{ clarin_dspace_build_dir | default(clarin_home + '/build') }}"
    bin_dir: "{{ clarin_dspace_build_dir | default(clarin_home + '/build/bin') }}"
    workspace_dir: "{{ clarin_dspace_workspace_dir | default(clarin_home + '/workspace') }}"
    log_dir: "{{ clarin_dspace_log_dir | default(clarin_home + '/log')}}"

- name: "install pexpect from pip (requirement for using ansible expect module, to automate prompting.)"
  pip:
    name: "pexpect"
  become: true

- name: "create directory for CLARINO"
  file:
    state: "directory"
    path: "{{ item }}"
    owner: "{{ clarin_user | default ('rocky') }}"
  loop:
  - "{{ clarin_home }}"
  - "{{ build_dir }}"
  - "{{ log_dir }}"
  become: true

- name: "clone git repo"
  git:
    repo: "{{ clarin_dspace_git_repo | default('git@git.app.uib.no:clarino/clarin-dspace.git') }}"
    dest: "{{ src_dir }}"
    version: "{{ clarin_dspace_version | default('master') }}"
    accept_hostkey: "yes"
    ssh_opts: "-4"
  become: true
  become_user: "{{ clarin_user }}"

- name: "change ownership for /var/www/html before cloning aai"
  file:
    path: "/var/www/html"
    state: "directory"
    owner: "{{ clarin_user | default ('centos') }}"
    recurse: yes
  become: true

- name: "clone aai repo"
  git:
    repo: "{{ clarin_dspace_aai_git_repo | default ('git@git.app.uib.no:clarino/aai.git') }}"
    dest: "/var/www/html/aai"
    version: "master"
    ssh_opts: "-4"
  become: true
  become_user: "{{ clarin_user }}"

- name: "create a home dir for tomcat user, to install python packages locally"
  file:
    path: "/home/tomcat"
    owner: "tomcat"
    state: "directory"
  become: true

- name: "use alternatives for configuring default python"
  alternatives:
    name: "python"
    path: "/usr/bin/python2"
  become: true

- name: "install python2 packages used for dspace healthcheck"
  pip:
    name: ["lxml", "python-dateutil", "python-magic"]
    executable: "/bin/pip2"
    extra_args: "--user"
  become: true

- name: "template config to server"
  template:
    src: "local.conf.j2"
    dest: "{{ src_dir }}/local.properties"
  become: true

- name: "copy variables.makefile to server"
  template:
    src: "variables.makefile.j2"
    dest: "{{ src_dir }}/utilities/project_helpers/config/variable.makefile"
  become: true

- name: "install prerequisites not in maven"
  make:
    target: "install_libs"
    chdir: "{{ script_dir }}"
  become: true
